Subject: Re: 2.6.23-rc4-mm1: e1000e napi lockup

From: "Kok, Auke" <[email-masked]>
Date: Fri, 07 Sep 2007 09:24:33 -0700

David Miller wrote:
> From: Jiri Slaby <[email-masked]>
> Date: Fri, 07 Sep 2007 09:19:30 +0200
> 
>> I found a regression in 2.6.23-rc4-mm1 (since -rc3-mm1) in e1000e driver.
>> napi_disable(&adapter->napi) in e1000_probe freezes the kernel on boot.
> 
> Yes, the semantics changed slightly in the net-2.6.24 tree the
> other week and someone needs to fix it up.
> 
> The netif_napi_add() implicitly does a napi_disable() call.  Device
> open must explicitly napi_enable() and device close must explicitly
> napi_disable(), and if done elsewhere these calls must be strictly
> balanced.

I'll fix it... it's my patch that adds the new napi code to it and I need to get 
it ready for the merge window anyway.

thanks for testing.

Auke